Index: CKEditor/trunk/CHANGES.html
===================================================================
--- CKEditor/trunk/CHANGES.html	(revision 4371)
+++ CKEditor/trunk/CHANGES.html	(revision 4373)
@@ -51,7 +51,7 @@
 		<li><a href="http://dev.fckeditor.net/ticket/4237">#4237</a> : ToolBar is chopped off in Safari browser 3.x.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/3898">#3898</a> : Added validation for URL presentance in Image dialog.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/4241">#4241</a> : Float panels are left on screen while editor is destroyed.</li>		
-		<li><a href="http://dev.fckeditor.net/ticket/4274">#4274</a> : Double click event is incorrect handled in 'divreplace' sample.</li>	
-		<li><a href="http://dev.fckeditor.net/ticket/4354">#4354</a> : Fixed TAB key on toolbar to not focus disabled buttons.</li>	
+		<li><a href="http://dev.fckeditor.net/ticket/4241">#4241</a> : Float panels are left on screen while editor is destroyed.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/4274">#4274</a> : Double click event is incorrect handled in 'divreplace' sample.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/4354">#4354</a> : Fixed TAB key on toolbar to not focus disabled buttons.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/3856">#3856</a> : Fixed focus and blur events in source view mode.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/3438">#3438</a> : Floating panels are off by (-1px, 0px) in RTL mode.</li>
@@ -72,10 +72,10 @@
 		<li><a href="http://dev.fckeditor.net/ticket/4385">#4385</a> : Fixed editor's auto adjusting on DOM structure were confusing the dirty checking mechanism.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/4397">#4397</a> : Fixed regression of [3816] where turn on design mode is causing Firefox3 to scroll the host page.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/4254">#4254</a> : Added basic API sample.</li> 
-		<li><a href="http://dev.fckeditor.net/ticket/4107">#4107</a> : Normalize css Font-family style text for correct comparision.</li> 
-		<li><a href="http://dev.fckeditor.net/ticket/3664">#3664</a> : Insert block element in empty editor document should not create new paragraph.</li> 
-		<li><a href="http://dev.fckeditor.net/ticket/4037">#4037</a> : 'id' attribute is missing with Flash dialog advanced page.</li> 
-		<li><a href="http://dev.fckeditor.net/ticket/4047">#4047</a> : Delete selected control type element when 'Backspace' is pressed on it.</li> 
-		<li><a href="http://dev.fckeditor.net/ticket/4191">#4191</a> : Dialog changes confirmation on image dialog incorrect.</li> 
+		<li><a href="http://dev.fckeditor.net/ticket/4254">#4254</a> : Added basic API sample.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/4107">#4107</a> : Normalize css Font-family style text for correct comparision.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/3664">#3664</a> : Insert block element in empty editor document should not create new paragraph.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/4037">#4037</a> : 'id' attribute is missing with Flash dialog advanced page.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/4047">#4047</a> : Delete selected control type element when 'Backspace' is pressed on it.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/4191">#4191</a> : Dialog changes confirmation on image dialog incorrect.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/4351">#4351</a> : Dash and dot could appear in attribute names.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/4355">#4355</a> : 'maximize' and 'showblock' commands shouldn't take editor focus.</li>
@@ -85,8 +85,8 @@
 		<li><a href="http://dev.fckeditor.net/ticket/3855">#3855</a> : Fixed loading unminified _source files when ckeditor_source.js is used.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/3717">#3717</a> : Dialog settings defaults can now be overridden in-page through the CKEDITOR.config object.</li>
-		<li><a href="http://dev.fckeditor.net/ticket/4481">#4481</a> : The 'stylesCombo_stylesSet' configuration entry didn't work for full URLs.</li> 
-		<li><a href="http://dev.fckeditor.net/ticket/4480">#4480</a> : Fixed scope attribute in th.</li> 
-		<li><a href="http://dev.fckeditor.net/ticket/4467">#4467</a> : Fixed bug to use custom icon in context menus. Thanks to gergoe.</li> 
-		<li><a href="http://dev.fckeditor.net/ticket/4190">#4190</a> : Fixed select field dialog layout in Safari.</li> 
+		<li><a href="http://dev.fckeditor.net/ticket/4481">#4481</a> : The 'stylesCombo_stylesSet' configuration entry didn't work for full URLs.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/4480">#4480</a> : Fixed scope attribute in th.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/4467">#4467</a> : Fixed bug to use custom icon in context menus. Thanks to gergoe.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/4190">#4190</a> : Fixed select field dialog layout in Safari.</li>
 	</ul>
 	<h3>
Index: CKEditor/trunk/_samples/api.html
===================================================================
--- CKEditor/trunk/_samples/api.html	(revision 4371)
+++ CKEditor/trunk/_samples/api.html	(revision 4373)
@@ -11,5 +11,5 @@
 	//<![CDATA[
 
-// The instanceReady event is fired when an instance of CKEditor has finished 
+// The instanceReady event is fired when an instance of CKEditor has finished
 // its initialization.
 CKEDITOR.on( 'instanceReady', function( ev )
@@ -54,5 +54,5 @@
 
 	// Get the editor contents
-	alert( oEditor.getData() ) ;	
+	alert( oEditor.getData() ) ;
 }
 
@@ -104,5 +104,5 @@
 		</script>
 		<div id="eMessage">
-			
+
 		</div>
 		<div id="eButtons" style="visibility: hidden">
Index: CKEditor/trunk/_samples/divreplace.html
===================================================================
--- CKEditor/trunk/_samples/divreplace.html	(revision 4371)
+++ CKEditor/trunk/_samples/divreplace.html	(revision 4373)
@@ -48,5 +48,5 @@
 	element = element.parentNode;
 
-	if ( element.nodeName.toLowerCase() == 'div' 
+	if ( element.nodeName.toLowerCase() == 'div'
 		 && ( element.className.indexOf( 'editable' ) != -1 ) )
 		replaceDiv( element );
Index: CKEditor/trunk/_source/core/editor.js
===================================================================
--- CKEditor/trunk/_source/core/editor.js	(revision 4371)
+++ CKEditor/trunk/_source/core/editor.js	(revision 4373)
@@ -442,5 +442,5 @@
 		 * @param css {String} CSS text.
 		 * @example
-		 * editorInstance.addCss( 'body { background-color: grey; }' ); 
+		 * editorInstance.addCss( 'body { background-color: grey; }' );
 		 */
 		addCss : function( css )
@@ -575,5 +575,5 @@
 		 * Sets the editor data. The data must be provided in raw format.
 		 * @param {String} data HTML code to replace the curent content in the editor.
-		 * @param {Function} callback Function to be called after the setData is completed. 
+		 * @param {Function} callback Function to be called after the setData is completed.
 		 * @example
 		 * CKEDITOR.instances.editor1.<b>setData( '&lt;p&gt;This is the editor data.&lt;/p&gt;' )</b>;
Index: CKEditor/trunk/_source/core/htmlparser/fragment.js
===================================================================
--- CKEditor/trunk/_source/core/htmlparser/fragment.js	(revision 4371)
+++ CKEditor/trunk/_source/core/htmlparser/fragment.js	(revision 4373)
@@ -192,5 +192,5 @@
 
 				var reApply = false,
-					addPoint;   // New position to start adding nodes. 
+					addPoint;   // New position to start adding nodes.
 
 				// Fixing malformed nested lists(#3828).
Index: CKEditor/trunk/_source/core/tools.js
===================================================================
--- CKEditor/trunk/_source/core/tools.js	(revision 4371)
+++ CKEditor/trunk/_source/core/tools.js	(revision 4373)
@@ -205,5 +205,5 @@
 				: ( typeof test.styleFloat != 'undefined' ) ? 'styleFloat'
 				: 'float';
-			
+
 			return function( cssName )
 			{
Index: CKEditor/trunk/_source/plugins/dialog/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/dialog/plugin.js	(revision 4371)
+++ CKEditor/trunk/_source/plugins/dialog/plugin.js	(revision 4373)
@@ -1758,8 +1758,8 @@
 			scrollFunc();
 		}
-		
+
 		var opacity = editor.config.dialog_backgroundCoverOpacity;
 		element.setOpacity( typeof opacity != 'undefined' ? opacity : 0.5 );
-		
+
 		element.appendTo( CKEDITOR.document.getBody() );
 	};
Index: CKEditor/trunk/_source/plugins/htmldataprocessor/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/htmldataprocessor/plugin.js	(revision 4371)
+++ CKEditor/trunk/_source/plugins/htmldataprocessor/plugin.js	(revision 4373)
@@ -22,5 +22,5 @@
 		return last;
 	}
-	
+
 	function trimFillers( block, fromSource )
 	{
Index: CKEditor/trunk/_source/plugins/tabletools/dialogs/tableCell.js
===================================================================
--- CKEditor/trunk/_source/plugins/tabletools/dialogs/tableCell.js	(revision 4371)
+++ CKEditor/trunk/_source/plugins/tabletools/dialogs/tableCell.js	(revision 4373)
@@ -56,5 +56,5 @@
 
 					var definition = e.data.definition;
-					
+
 					e.removeListener();
 					definition.onLoad = CKEDITOR.tools.override( definition.onLoad, function( orginal )
Index: CKEditor/trunk/_source/skins/kama/skin.js
===================================================================
--- CKEditor/trunk/_source/skins/kama/skin.js	(revision 4371)
+++ CKEditor/trunk/_source/skins/kama/skin.js	(revision 4373)
@@ -86,5 +86,5 @@
 			{
 				uiColorMenuCss = uiColorMenuCss.split( '}' ).slice( 0, -1 );
-				for ( var i = 0 ; i < uiColorMenuCss.length ; i++ ) 
+				for ( var i = 0 ; i < uiColorMenuCss.length ; i++ )
 					uiColorMenuCss[ i ] = uiColorMenuCss[ i ].split( '{' );
 			}
@@ -95,8 +95,8 @@
 				node.setAttribute( "id", "cke_ui_color" );
 				node.setAttribute( "type", "text/css" );
-				
+
 				return node;
 			}
-			
+
 			function updateStylesheets( styleNodes, styleContent, replace )
 			{