Index: CKEditor/tests/dt/plugins/htmldataprocessor/htmldataprocessor.html
===================================================================
--- CKEditor/tests/dt/plugins/htmldataprocessor/htmldataprocessor.html	(revision 4358)
+++ CKEditor/tests/dt/plugins/htmldataprocessor/htmldataprocessor.html	(revision 4412)
@@ -65,5 +65,5 @@
 	var getDataProcessor = function()
 	{
-		var dataProcessor = new CKEDITOR.htmlDataProcessor();
+		var dataProcessor = CKEDITOR.instances.editor1.dataProcessor;
 		dataProcessor.writer._.rules = [];
 		return dataProcessor;
@@ -85,67 +85,4 @@
 
 	return {
-		test_toDataFormat_1a : function()
-		{
-			var element = new CKEDITOR.dom.element.createFromHtml( '<div><p>Test</p></div>' );
-
-			assert.areSame( '<p>Test</p>', getDataProcessor().toDataFormat( element.getHtml() ) );
-		},
-
-		test_toDataFormat_1b : function()
-		{
-			var element = new CKEDITOR.dom.element.createFromHtml( '<div><x:x>Test</x:x></div>' );
-
-			// IE adds the XML namespace tag.
-			if ( CKEDITOR.env.ie )
-				assert.areSame( '<?xml:namespace prefix="x" /><x:x>Test</x:x>', getDataProcessor().toDataFormat( element.getHtml() ) );
-			else
-				assert.areSame( '<x:x>Test</x:x>', getDataProcessor().toDataFormat( element.getHtml() ) );
-		},
-
-		test_toDataFormat_2a : function()
-		{
-			var element = new CKEDITOR.dom.element.createFromHtml( '<div><br /><p>Test</p></div>' );
-
-			assert.areSame( '<br /><p>Test</p>', getDataProcessor().toDataFormat( element.getHtml() ) );
-		},
-
-		test_toDataFormat_2b : function()
-		{
-			var element = new CKEDITOR.dom.element.createFromHtml( '<div><x:x></x:x><p>Test</p></div>' );
-
-			// IE adds the XML namespace tag.
-			if ( CKEDITOR.env.ie )
-				assert.areSame( '<?xml:namespace prefix="x" /><x:x></x:x><p>Test</p>', getDataProcessor().toDataFormat( element.getHtml() ) );
-			else
-				assert.areSame( '<x:x></x:x><p>Test</p>', getDataProcessor().toDataFormat( element.getHtml() ) );
-		},
-
-		test_toDataFormat_3 : function()
-		{
-			assert.areSame( '<div><x:x><p>Test</p></x:x></div>', getDataProcessor().toDataFormat( '<div><x:x><p>Test</p></div>' ) );
-		},
-
-		test_toDataFormat_ticket_2774 : function()
-		{
-			var element = new CKEDITOR.dom.element.createFromHtml( '<div><P class=MsoNormal><B><I><SPAN lang=EN-US><o:p>Test</o:p></SPAN></I></B></P></div>' );
-
-			// IE adds the XML namespace tag.
-			if ( CKEDITOR.env.ie )
-				assert.areSame( '<p class="MsoNormal"><b><i><span lang="EN-US"><?xml:namespace prefix="o" /><o:p>Test</o:p></span></i></b></p>', getDataProcessor().toDataFormat( element.getHtml() ) );
-			else
-				assert.areSame( '<p class="MsoNormal"><b><i><span lang="EN-US"><o:p>Test</o:p></span></i></b></p>', getDataProcessor().toDataFormat( element.getHtml() ) );
-		},
-
-		test_toDataFormat_ticket_3036_1 : function()
-		{
-			assert.areSame( '<input autocomplete="off" checked="checked" type="checkbox" />',
-				getDataProcessor().toDataFormat( '<INPUT type="checkbox" CHECKED  autocomplete=off>' ) );
-		},
-
-		test_toDataFormat_ticket_3036_2 : function()
-		{
-			assert.areSame( '<input autocomplete="off" type="checkbox" unknown="" />',
-				getDataProcessor().toDataFormat( '<INPUT type="checkbox" UNKNOWN  autocomplete=off>' ) );
-		},
 
 		test_toDataFormat_ticket_2886_1 : function()
@@ -160,4 +97,68 @@
 			}, this );
 			this.wait();
+		},
+
+		test_toDataFormat_1a : function()
+		{
+			var element = new CKEDITOR.dom.element.createFromHtml( '<div><p>Test</p></div>' );
+
+			assert.areSame( '<p>Test</p>', getDataProcessor().toDataFormat( element.getHtml() ) );
+		},
+
+		test_toDataFormat_1b : function()
+		{
+			var element = new CKEDITOR.dom.element.createFromHtml( '<div><x:x>Test</x:x></div>' );
+
+			// IE adds the XML namespace tag.
+			if ( CKEDITOR.env.ie )
+				assert.areSame( '<?xml:namespace prefix="x" /><x:x>Test</x:x>', getDataProcessor().toDataFormat( element.getHtml() ) );
+			else
+				assert.areSame( '<x:x>Test</x:x>', getDataProcessor().toDataFormat( element.getHtml() ) );
+		},
+
+		test_toDataFormat_2a : function()
+		{
+			var element = new CKEDITOR.dom.element.createFromHtml( '<div><br /><p>Test</p></div>' );
+
+			assert.areSame( '<br /><p>Test</p>', getDataProcessor().toDataFormat( element.getHtml() ) );
+		},
+
+		test_toDataFormat_2b : function()
+		{
+			var element = new CKEDITOR.dom.element.createFromHtml( '<div><x:x></x:x><p>Test</p></div>' );
+
+			// IE adds the XML namespace tag.
+			if ( CKEDITOR.env.ie )
+				assert.areSame( '<?xml:namespace prefix="x" /><x:x></x:x><p>Test</p>', getDataProcessor().toDataFormat( element.getHtml() ) );
+			else
+				assert.areSame( '<x:x></x:x><p>Test</p>', getDataProcessor().toDataFormat( element.getHtml() ) );
+		},
+
+		test_toDataFormat_3 : function()
+		{
+			assert.areSame( '<div><x:x><p>Test</p></x:x></div>', getDataProcessor().toDataFormat( '<div><x:x><p>Test</p></div>' ) );
+		},
+
+		test_toDataFormat_ticket_2774 : function()
+		{
+			var element = new CKEDITOR.dom.element.createFromHtml( '<div><P class=MsoNormal><B><I><SPAN lang=EN-US><o:p>Test</o:p></SPAN></I></B></P></div>' );
+
+			// IE adds the XML namespace tag.
+			if ( CKEDITOR.env.ie )
+				assert.areSame( '<p class="MsoNormal"><b><i><span lang="EN-US"><?xml:namespace prefix="o" /><o:p>Test</o:p></span></i></b></p>', getDataProcessor().toDataFormat( element.getHtml() ) );
+			else
+				assert.areSame( '<p class="MsoNormal"><b><i><span lang="EN-US"><o:p>Test</o:p></span></i></b></p>', getDataProcessor().toDataFormat( element.getHtml() ) );
+		},
+
+		test_toDataFormat_ticket_3036_1 : function()
+		{
+			assert.areSame( '<input autocomplete="off" checked="checked" type="checkbox" />',
+				getDataProcessor().toDataFormat( '<INPUT type="checkbox" CHECKED  autocomplete=off>' ) );
+		},
+
+		test_toDataFormat_ticket_3036_2 : function()
+		{
+			assert.areSame( '<input autocomplete="off" type="checkbox" unknown="" />',
+				getDataProcessor().toDataFormat( '<INPUT type="checkbox" UNKNOWN  autocomplete=off>' ) );
 		},
 