Index: CKEditor/trunk/_dev/packager/packagefilegen_full.html
===================================================================
--- CKEditor/trunk/_dev/packager/packagefilegen_full.html	(revision 4529)
+++ CKEditor/trunk/_dev/packager/packagefilegen_full.html	(revision 4530)
@@ -106,5 +106,5 @@
 			<label for="editor1">
 				Editor 1:</label><br />
-			<textarea name="editor1" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://www.fckeditor.net/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
+			<textarea name="editor1" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
 			<script type="text/javascript">
 			//<![CDATA[
Index: CKEditor/trunk/_samples/api.html
===================================================================
--- CKEditor/trunk/_samples/api.html	(revision 4529)
+++ CKEditor/trunk/_samples/api.html	(revision 4530)
@@ -96,5 +96,5 @@
 		This sample shows how to use the CKeditor JavaScript API to interact with the editor
 		at runtime.</p>
-		<textarea id="editor1" name="editor1" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://www.fckeditor.net/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
+		<textarea id="editor1" name="editor1" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
 		<script type="text/javascript">
 		//<![CDATA[
Index: CKEditor/trunk/_samples/api_dialog.html
===================================================================
--- CKEditor/trunk/_samples/api_dialog.html	(revision 4529)
+++ CKEditor/trunk/_samples/api_dialog.html	(revision 4530)
@@ -105,5 +105,5 @@
 			<li><strong>Create a custom dialog</strong> ("My Dialog" button).</li>
 		</ol>
-		<textarea id="editor1" name="editor1" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://www.fckeditor.net/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
+		<textarea id="editor1" name="editor1" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
 		<script type="text/javascript">
 		//<![CDATA[
Index: CKEditor/trunk/_samples/enterkey.html
===================================================================
--- CKEditor/trunk/_samples/enterkey.html	(revision 4529)
+++ CKEditor/trunk/_samples/enterkey.html	(revision 4530)
@@ -63,5 +63,5 @@
 			<p>
 				<br />
-				<textarea id="editor1" name="editor1" rows="10" cols="80">This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://www.fckeditor.net/"&gt;CKEditor&lt;/a&gt;.</textarea>
+				<textarea id="editor1" name="editor1" rows="10" cols="80">This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.</textarea>
 			</p>
 			<p>
Index: CKEditor/trunk/_samples/replacebyclass.html
===================================================================
--- CKEditor/trunk/_samples/replacebyclass.html	(revision 4529)
+++ CKEditor/trunk/_samples/replacebyclass.html	(revision 4530)
@@ -15,5 +15,5 @@
 				<label for="editor1">
 					Editor 1:</label><br />
-				<textarea id="editor1" name="editor1" class="ckeditor" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://www.fckeditor.net/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
+				<textarea id="editor1" name="editor1" class="ckeditor" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
 			</p>
 			<p>
@@ -28,10 +28,10 @@
     &lt;label for="editor1"&gt;
       Editor 1:&lt;/label&gt;&lt;br /&gt;
-    &lt;textarea id="editor1" name="editor1" <b>class="ckeditor"</b> rows="10" cols="80"&gt;&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://www.fckeditor.net/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;&lt;/textarea&gt;
+    &lt;textarea id="editor1" name="editor1" <b>class="ckeditor"</b> rows="10" cols="80"&gt;&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;&lt;/textarea&gt;
   &lt;/p&gt;
   &lt;p&gt;
     &lt;label for="editor2"&gt;
       Editor 2:&lt;/label&gt;&lt;br /&gt;
-    &lt;textarea id="editor2" name="editor2" <b>class="ckeditor"</b> rows="10" cols="80"&gt;&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://www.fckeditor.net/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;&lt;/textarea&gt;
+    &lt;textarea id="editor2" name="editor2" <b>class="ckeditor"</b> rows="10" cols="80"&gt;&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;&lt;/textarea&gt;
   &lt;/p&gt;
   &lt;p&gt;
Index: CKEditor/trunk/_samples/replacebycode.html
===================================================================
--- CKEditor/trunk/_samples/replacebycode.html	(revision 4529)
+++ CKEditor/trunk/_samples/replacebycode.html	(revision 4530)
@@ -15,5 +15,5 @@
 				<label for="editor1">
 					Editor 1:</label><br />
-				<textarea id="editor1" name="editor1" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://www.fckeditor.net/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
+				<textarea id="editor1" name="editor1" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
 				<script type="text/javascript">
 				//<![CDATA[
@@ -33,5 +33,5 @@
 				<label for="editor2">
 					Editor 2:</label><br />
-				<textarea id="editor2" name="editor2" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://www.fckeditor.net/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
+				<textarea id="editor2" name="editor2" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
 				<script type="text/javascript">
 				//<![CDATA[
@@ -59,5 +59,5 @@
     &lt;label for="editor1"&gt;
       Editor 1:&lt;/label&gt;&lt;br /&gt;
-    &lt;textarea <b>name="editor1"</b> rows="10" cols="80"&gt;&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://www.fckeditor.net/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;&lt;/textarea&gt;
+    &lt;textarea <b>name="editor1"</b> rows="10" cols="80"&gt;&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;&lt;/textarea&gt;
     &lt;script type="text/javascript"&gt;
     //&lt;![CDATA[
Index: CKEditor/trunk/_samples/skins.html
===================================================================
--- CKEditor/trunk/_samples/skins.html	(revision 4529)
+++ CKEditor/trunk/_samples/skins.html	(revision 4530)
@@ -14,5 +14,5 @@
 			<p>
 				"Kama" skin:<br />
-				<textarea id="editor_kama" name="editor_kama" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://www.fckeditor.net/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
+				<textarea id="editor_kama" name="editor_kama" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
 				<script type="text/javascript">
 				//<![CDATA[
@@ -28,5 +28,5 @@
 			<p>
 				"Office 2003" skin:<br />
-				<textarea id="editor_office2003" name="editor_office2003" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://www.fckeditor.net/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
+				<textarea id="editor_office2003" name="editor_office2003" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
 				<script type="text/javascript">
 				//<![CDATA[
@@ -42,5 +42,5 @@
 			<p>
 				"V2" skin:<br />
-				<textarea id="editor_v2" name="editor_v2" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://www.fckeditor.net/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
+				<textarea id="editor_v2" name="editor_v2" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
 				<script type="text/javascript">
 				//<![CDATA[
Index: CKEditor/trunk/_samples/ui_color.html
===================================================================
--- CKEditor/trunk/_samples/ui_color.html	(revision 4529)
+++ CKEditor/trunk/_samples/ui_color.html	(revision 4530)
@@ -14,5 +14,5 @@
 		<form action="sample_posteddata.php" method="post">
 			<p>
-				<textarea id="editor1" name="editor1" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://www.fckeditor.net/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
+				<textarea id="editor1" name="editor1" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
 				<script type="text/javascript">
 				//<![CDATA[
@@ -34,5 +34,5 @@
 			</p>
 			<p>
-				<textarea id="editor2" name="editor2" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://www.fckeditor.net/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
+				<textarea id="editor2" name="editor2" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
 				<script type="text/javascript">
 				//<![CDATA[
@@ -65,5 +65,5 @@
     &lt;label for="editor1"&gt;
       Editor 1:&lt;/label&gt;&lt;br /&gt;
-    &lt;textarea <b>name="editor1"</b> rows="10" cols="80"&gt;&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://www.fckeditor.net/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;&lt;/textarea&gt;
+    &lt;textarea <b>name="editor1"</b> rows="10" cols="80"&gt;&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;&lt;/textarea&gt;
     &lt;script type="text/javascript"&gt;
     //&lt;![CDATA[
Index: CKEditor/trunk/_samples/ui_languages.html
===================================================================
--- CKEditor/trunk/_samples/ui_languages.html	(revision 4529)
+++ CKEditor/trunk/_samples/ui_languages.html	(revision 4530)
@@ -46,5 +46,5 @@
 			</p>
 			<p>
-				<textarea id="editor1" name="editor1" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://www.fckeditor.net/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
+				<textarea id="editor1" name="editor1" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
 				<script type="text/javascript">
 				//<![CDATA[